global:
  imageRegistry: registry.gitlab.com/operator-ict/golemio
  imagePullSecrets: []
  secretName: golemio-bi-secret
  pullPolicy: IfNotPresent
  replicas: 1

migration:
  enabled: false
  name: golemio-bi-migration
  resources:
    limits:
      cpu: 500m
      memory: 1Gi
    requests:
      cpu: 50m
      memory: 100Mi

migrationV2:
  enabled: false
  name: golemio-bi2-migration
  resources:
    limits:
      cpu: 500m
      memory: 1Gi
    requests:
      cpu: 50m
      memory: 100Mi

backend:
  enabled: false
  name: golemio-bi-backend
  repository: code/golemio-bi/backend
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  auth:
    strategy: golemio
    url: "http://permission-management.permission-services.svc.cluster.local:3000/gateway"
  azure:
    enabled: false
    container: XXXXX-golemio-bi
  ingress:
    host: "api-dev-bi.XXXXX.cz"
    tls: true
    annotationsNginxConfig: ""
  resources:
    limits:
      cpu: 200m
      memory: 1280Mi
    requests:
      cpu: 50m
      memory: 768Mi
  probes:
    enabled: true
    readinessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      initialDelaySeconds: 15
      periodSeconds: 30
    livenessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      initialDelaySeconds: 20
      periodSeconds: 30
      terminationGracePeriodSeconds: 10

frontend:
  enabled: false
  name: golemio-bi-frontend
  repository: code/golemio-bi/frontend
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  ingress:
    host: "dev-bi.XXXXX.cz"
    tls: true
  extraArgs: [] #["--no-request-logging"]
  resources:
    limits:
      cpu: 20m
      memory: 128Mi
    requests:
      cpu: 10m
      memory: 64Mi
  probes:
    enabled: true
    readinessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      periodSeconds: 30
    livenessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      periodSeconds: 30
    # prevent pod from restarting too fast
    # extra time to start app is 9 * 10s = 90s
    startupProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 9
      periodSeconds: 10
  configurationFiles:
    # pouze pro FEv1
    frontendConfigJS: |-
      window.ENV = {
        API_URL: "https://api-Y.XXXXXX.cz/",
        AUTH_API_URL: "https://XXXXXX.cz/gateway",
        PROXY_API_URL: "https://XXXXXX.cz",
        DATA_DOMAIN: "bi.XXXXXX.cz",
        MAPBOX_TOKEN: "XXXXXX",
        DEFAULT_LANG: "cs",
        GA_KEY: "",
        GTM_ID: ""
      };

backendV2:
  enabled: false
  name: golemio-bi-backend-v2
  repository: code/golemio-bi/golemio-bi-backend-v2
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  auth:
    strategy: golemio
    url: "http://permission-management.permission-services.svc.cluster.local:3000/gateway"
  azure:
    enabled: false
    container: XXXXX-golemio-bi
  ingress:
    host: "api-dev-bi.XXXXX.cz"
    tls: true
    annotationsNginxConfig: ""
  resources:
    limits:
      cpu: 200m
      memory: 1280Mi
    requests:
      cpu: 50m
      memory: 768Mi
  probes:
    enabled: true
    readinessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      initialDelaySeconds: 15
      periodSeconds: 30
    livenessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      initialDelaySeconds: 20
      periodSeconds: 30
      terminationGracePeriodSeconds: 10

frontendV2:
  enabled: false
  name: golemio-bi-frontend-v2
  repository: code/golemio-bi/golemio-bi-frontend-v2
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  ingress:
    host: "dev-bi.XXXXX.cz"
    class: nginx
    tls: true
  extraArgs: [] #["--no-request-logging"]
  proxyApiUrl: "https://XXXXXX.cz"
  logLevel: "info"
  gtmId: ""
  resources:
    limits:
      cpu: 500m
      memory: 768Mi
    requests:
      cpu: 80m
      memory: 256Mi
  probes:
    enabled: true
    readinessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      periodSeconds: 30
    livenessProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 2
      periodSeconds: 30
    # prevent pod from restarting too fast
    # extra time to start app is 9 * 10s = 90s
    startupProbe:
      httpGet:
        path: "/status"
        port: 3000
      failureThreshold: 9
      periodSeconds: 10
  notificationBannerText: ""
  notificationBannerSeverity: "info"
